All of lore.kernel.org
 help / color / mirror / Atom feed
From: jbrassow@sourceware.org <jbrassow@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/rgmanager/src/resources lvm.sh
Date: 6 Feb 2008 16:40:27 -0000	[thread overview]
Message-ID: <20080206164027.12505.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	jbrassow at sourceware.org	2008-02-06 16:40:27

Modified files:
	rgmanager/src/resources: lvm.sh 

Log message:
	- better checking for improper setup
	-- this time for presence of fail-over VG in the volume_list

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm.sh.diff?cvsroot=cluster&r1=1.12&r2=1.13

--- cluster/rgmanager/src/resources/lvm.sh	2008/01/03 21:02:53	1.12
+++ cluster/rgmanager/src/resources/lvm.sh	2008/02/06 16:40:27	1.13
@@ -56,11 +56,24 @@
 {
 	##
 	# Machine's cluster node name must be present as
-	# a tag in lvm.conf:activation/volume_list
+	# a tag in lvm.conf:activation/volume_list and the volume group
+	# to be failed over must NOT be there.
 	##
-	if ! lvm dumpconfig activation/volume_list >& /dev/null ||
-	   ! lvm dumpconfig activation/volume_list | grep $(local_node_name); then
-		ocf_log err "lvm.conf improperly configured for HA LVM."
+	if ! lvm dumpconfig activation/volume_list >& /dev/null; then
+		ocf_log err "HA LVM:  Improper setup detected"
+		ocf_log err "- \"volume_list\" not specified in lvm.conf."
+		return $OCF_ERR_GENERIC
+	fi
+
+	if ! lvm dumpconfig activation/volume_list | grep $(local_node_name); then
+		ocf_log err "HA LVM:  Improper setup detected"
+		ocf_log err "- @$(local_node_name) missing from \"volume_list\" in lvm.conf"
+		return $OCF_ERR_GENERIC
+	fi
+
+	if lvm dumpconfig activation/volume_list | grep $OCF_RESKEY_vg_name; then
+		ocf_log err "HA LVM:  Improper setup detected"
+		ocf_log err "- $OCF_RESKEY_vg_name found in \"volume_list\" in lvm.conf"
 		return $OCF_ERR_GENERIC
 	fi
 



             reply	other threads:[~2008-02-06 16:40 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2008-02-06 16:40 jbrassow [this message]
  -- strict thread matches above, loose matches on Subject: below --
2008-02-06 17:43 [Cluster-devel] cluster/rgmanager/src/resources lvm.sh jbrassow
2008-01-03 20:56 jbrassow
2007-07-02 21:59 jbrassow
2007-07-02 21:59 jbrassow
2007-07-02 21:58 jbrassow
2007-05-29 14:37 jbrassow
2007-05-29 14:35 jbrassow
2007-05-29 14:33 jbrassow
2007-05-09 20:51 jbrassow
2007-05-09 20:50 jbrassow
2007-05-09 20:48 jbrassow
2007-05-09 18:04 jbrassow
2007-05-09 18:03 jbrassow
2007-05-09 18:00 jbrassow
2007-04-18 19:14 jbrassow
2007-04-18 18:14 jbrassow
2007-04-18 18:09 jbrassow
2007-04-18 17:02 jbrassow
2007-03-08 19:37 jbrassow
2007-02-15 22:49 lhh

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20080206164027.12505.qmail@sourceware.org \
    --to=jbrassow@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.